Macaulay2 » Documentation
Packages » NCAlgebra :: - NCMatrix
next | previous | forward | backward | up | index | toc

# - NCMatrix -- Negates NCMatrices

- Operator: -
- Usage:
    `L = -M`
- Inputs:
  - M, an instance of the type NCMatrix,
- Outputs:
  - L, an instance of the type NCMatrix,

## Description

This negates NCMatrices.

    i1 : A = QQ{x,y,z}

    o1 = A

    o1 : NCPolynomialRing

    i2 : M = ncMatrix {{x, y, z}}

    o2 = | x y z |

    o2 : NCMatrix

    i3 : sigma = ncMap(A,A,{y,z,x})

    o3 = NCRingMap A <--- A

    o3 : NCRingMap

    i4 : N = ncMatrix {{M},{sigma M}, {sigma sigma M}}

    o4 = | x y z |
         | y z x |
         | z x y |

    o4 : NCMatrix

    i5 : -N

    o5 = | -x -y -z |
         | -y -z -x |
         | -z -x -y |

    o5 : NCMatrix

## Ways to use this method:

- - NCMatrix -- Negates NCMatrices

The source of this document is in /build/macaulay2-88fgJW/macaulay2-1.25.11+ds/M2/Macaulay2/packages/NCAlgebra/NCAlgebraDoc.m2:503:0.